exception: Ioctl Error

Discussion in 'Wii - Hacking' started by Bergunzo, Nov 7, 2008.

Nov 7, 2008

exception: Ioctl Error by Bergunzo at 10:20 PM (6,769 Views / 0 Likes) 11 replies

  1. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    Ok, I managed to install homebrew channel and everything but when I try to load some backups from backup loader 0.3 it gives me an error. Then I tried Softchip that's one of the latest loader but it gives me this error when I try to load a backup --> exception: Ioctl Error wii . The question is : Why backups won't load??? The backups are 1:1 and not patched. Give me an hand please
     
  2. raulpica

    Supervisor raulpica With your drill, thrust to the sky!

    Joined:
    Oct 23, 2007
    Messages:
    10,668
    Location:
    _____________ PowerLevel: 9001
    Country:
    Italy
    Have you installed cIOS first? [​IMG]
     
  3. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    ACk I think I don't, I just followed this guide

    Code:
    In italiano ma anche tu sei italiano quindi va bene :P 
    1) Usiamo il Wad Manager 1.3 di Waninkoko per installare l’IOS IOS16-64-v257-prod.wad .
    Ora il Wad Manager installerà questo IOS perché non ha bisogno di essere firmato “falsamente”
    per essere riconosciuto dalla Wii.
    
    2) Usiamo il Wad Manager IOS16 modificato per puntare proprio all’IOS16
    che ora ci troviamo installato nella Wii e quindi installiamo il cIOS_fix.wad
    
    3) Usiamo l’IOS Downgrader di Waninkoko per downgradare tutti gli altri
    IOS e renderli di nuovo affetti dal TruchaBug !!!
    
    4) Dite: “Ciao Nintendo” e fate la bocca ad U con un sorriso a….tutti i denti che avete.
    
    Quindi se ho seguito tutti i passaggi l'ho installato o no?
     
  4. raulpica

    Supervisor raulpica With your drill, thrust to the sky!

    Joined:
    Oct 23, 2007
    Messages:
    10,668
    Location:
    _____________ PowerLevel: 9001
    Country:
    Italy
    IOS16? Were you on 3.3v2? [​IMG] You have to use IOS16 only if you're on 3.3v2, as the other IOSes are fixed [​IMG]

    BTW, just run the cIOS v6 installer. Get it here [​IMG]

    I think you've only got the cIOS-fix installed [​IMG]

    EDIT: That link probably sucks. You're better getting djtaz's all-in-one package from his thread (thanks djtaz!) [​IMG]

    Put everything in the "Put onto SD card" dir on your SD, then run 1. cIOS installer 249 and you're set [​IMG] You can also find the Backup Loader channels in there [​IMG]
     
  5. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    Ok, I installed it but to the end it gives me an error (I think that's why I gotta uninstall previous IOS249) The question is : how can I do that? btw raulpica thanks for helping me

    EDIT: IT still doesn't work (The cios Installer). at the very end it says something like Install Return (-1) (I can't write the same because after a few second it returns automatically to homebrew channel). And trying Backup Launcher or softchip it gives me still the same error. aRRRGHHH I'm desperate
     
  6. raulpica

    Supervisor raulpica With your drill, thrust to the sky!

    Joined:
    Oct 23, 2007
    Messages:
    10,668
    Location:
    _____________ PowerLevel: 9001
    Country:
    Italy
    What error? Anyway read the edit on my previous post and try that [​IMG]

    You should be able to delete it using AnyTitleDeleter, if I remember correctly.
     
  7. Matando

    Newcomer Matando Member

    Joined:
    Oct 14, 2008
    Messages:
    33
    Country:
    United States
  8. djtaz

    Member djtaz PM's Full - Wadder Me

    Joined:
    Sep 21, 2008
    Messages:
    2,997
    Country:
    Ireland
    I think he has updated his wii since october 23rd and now he is having install problems.

    You may need to downgrade your Wii first ..... update fix 23rd Oct in my signature
    and then try the install after that ... theres a How to in the update fix - thanks everyone involved in that

    and i wrote the How to (thanks to everyone who provided the files) in the installer but its in english so i hope you can follow.

    Gppd support there raulpica [​IMG]
     
  9. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    Yes I f**king updated my wii after october 23d (I didn't know wii hacking world so that's not my fault... )but then I followed a_running_pir_8's guide to downgrade my wii . In fact I can install custom wads and use homebrew channell. I have a problem only with backup loader.

    What can i try now? Maybe the cause is that I sent my Wii to nintendo assistence two months ago and maybe they putted a new protection in my wii or whatever? Or there's only a problem with IOS CIOS etc.?
     
  10. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States

    my pack, here:

    http://gbatemp.net/index.php?showtopic=114373

    hopefully works with or without downgrade, give it a go.
     
  11. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    I tried to run Anytitle deleter and it shows me in System Titles the following list:

    (IOS249)
    (IOS16)
    (IOS36)
    (IOS28)
    (IOS22)
    (IOS14)
    (IOS10)
    (IOS37)
    (IOS33)
    (IOS11)
    (MIOS)
    (BC)
    (SYSMENU)
    (IOS9)
    (IOS4)


    What do I have to delete from here?? thanks
     
  12. Bergunzo
    OP

    Member Bergunzo GBAtemp Regular

    Joined:
    Apr 14, 2007
    Messages:
    295
    Location:
    Italy
    Country:
    Italy
    please?
     

Share This Page